//+----------------------------------------------------------------------------+
//|                                                     e-TestIsConnected.mq4  |
//|                                                      . aka KimIV  |
//|                                                       http://www.kimiv.ru  |
//|                                                                            |
//|  23.01.2008       IsConnected(). |
//+----------------------------------------------------------------------------+
#property copyright "  . aka KimIV"
#property link      "http://www.kimiv.ru"

//-------    -----------------------------------------+
extern string FileName   = "test.csv";
extern double IntReading = 3.7;        //     (0- )

//-------    -------------------------------------+
string gsComment;                      // ,   


//+----------------------------------------------------------------------------+
//|                                                                            |
//|  ˨                                                   |
//|                                                                            |
//+----------------------------------------------------------------------------+
//|  expert initialization function                                            |
//+----------------------------------------------------------------------------+
void init() {
  if (IsExpertEnabled()) Message("    ");
  else Message("  \"  \"");
  Message("  init()");
}

//+----------------------------------------------------------------------------+
//|  expert deinitialization function                                          |
//+----------------------------------------------------------------------------+
void deinit() {
  Message("  deinit()");
  Comment("");
}

//+----------------------------------------------------------------------------+
//| expert start function                                                      |
//+----------------------------------------------------------------------------+
void start() {
  Message("  start()");
  if (IntReading<=0) MainBody();
  else {
    while (IsExpertEnabled() && !IsStopped()) {
      if (IsConnected()) MainBody();
      else {
        Message("    ");
        return;
      }
      Sleep(1000*IntReading);
    }
    Message("  \"  \"");
  }
  Message("  start()");
}


//+----------------------------------------------------------------------------+
//|                                                                            |
//|                                                     |
//|                                                                            |
//+----------------------------------------------------------------------------+
//|                                                        |
//+----------------------------------------------------------------------------+
void MainBody() {
  Message(" ...");
}

//+----------------------------------------------------------------------------+
//|                                              |
//|  :                                                                |
//|    m -                                                       |
//+----------------------------------------------------------------------------+
void Message(string m) {
  m=TimeToStr(TimeLocal(), TIME_DATE|TIME_SECONDS)+" "+m;
  Comment(m);
  WritingLineInFile(FileName, m);
}

//+----------------------------------------------------------------------------+
//|                                                           |
//|  :                                                                |
//|    FileName -                                                      |
//|    text     -                                                        |
//+----------------------------------------------------------------------------+
void WritingLineInFile(string FileName, string text) {
  int file_handle=FileOpen(FileName, FILE_READ|FILE_WRITE, " ");

  if (file_handle>0) {
    FileSeek(file_handle, 0, SEEK_END);
    FileWrite(file_handle, text);
    FileClose(file_handle);
  }
}
//+----------------------------------------------------------------------------+

